
Redmine - Defect #6604

Issues targeted at parent project versions' are not shown on gantt chart

2010-10-07 23:26 - Garry Fallon

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

Following some testing of the new Gantt chart implementation (Feature #6276), which is a huge improvement by the way, I noticed

that if a sub-project has issues assigned to a version from a parent project (or another ancestor up the hierarchy) then said version

(and associated issues) are not shown on the gantt chart for the sub-project.

The roadmap tab handles this situation correctly and it would make sense for the gantt chart to function in a similar fashion.

Related issues:

Related to Redmine - Defect #5817: Shared versions not shown in subproject's ... Closed 2010-07-05

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Associated revisions

Revision 5077 - 2011-03-10 19:07 - Jean-Philippe Lang

Gantt: do not ignore project filter (#7000, #7352), do not display empty projects/versions, and display shared versions used in other projects (#5817,

#6476, #6604).

History

#1 - 2011-01-26 18:17 - Etienne Massip

Could someone try this patch at #7456 ?

#2 - 2011-03-10 19:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5077.
